Ubuntu

Sync mdbtools 0.7~rc1-3 (main) from Debian testing (main)

Reported by Jean-Michel Vourgere on 2012-01-23
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
mdbtools (Ubuntu)
Undecided
Unassigned

Bug Description

Please sync mdbtools 0.7~rc1-3 (main) from Debian testing (main)

Changelog entries since current precise version 0.5.99.0.6pre1.0.20051109-7.1:

mdbtools (0.7~rc1-3) unstable; urgency=low

  * Fix lintian unversioned-copyright-format-uri.
  * Updated 05-nolibexit patch forwarded address.
  * Moved documentation in its own package. It can't be in a "Multi-Arch:
    same" package. (Closes: #655174)
  * New debug symbols package mdbtools-dbg.

 -- Jean-Michel Vourgère <email address hidden> Tue, 10 Jan 2012 23:11:30 +0100

mdbtools (0.7~rc1-2) unstable; urgency=low

  * New maintainer. (Closes: #635954)
  * New upstream release:
    + Used printf %f for small floats export. Thanks Vincent Fourmond. (Closes:
      #220403)
    + Fixed internal ordering of columns. (Closes: #233281)
    + Fixed Oracle export types. (Closes: #358670)
    + Fixed mdb-prop SEGV. (Closes: #412432)
    + Properly quote column names in mdb-export. Removed -S sanitisation
      option. (Closes: #470405, #470413)
    + Fixed NULL export in mdb-export, no longer exported as "". (Closes:
      #470414)
    + New option in mdb-schema to DROP existing tables. (Closes: #514843)
    + ODBC: Returns SQL_NO_DATA at end of data. (Closes: #514986)
    + Export Memo type into postgres Text type.(Closes: #565258)
    + Fixed timestamp exports. (Closes: #602774)
  * Removed old debian patches. They all were applied upstream.
  * Bump Standards-Version to 3.9.2: No change needed.
  * Added build-dependency on libglib2.0-dev, dh-autoreconf, rarian-compat,
    openjade, docbook-dsssl. Change automake1.10 into automake >= 1:1.10.
  * Fixed mdbtools-gmdb description for lintian spelling check.
  * Changed desktop file:
    + Added msaccess mime-types.
    + Removed icon extension.
    + Removed obsolete category Application.
  * Linker option -as-needed now upstream too.
  * Added version to packages names because of ABI change. Split
    libmdbtools into libmdb2 and libmdbsql2.
  * Included doc/faq.html in debian package.
  * Build doc/install.sgml files:
    + New build denpendencies on openjade and docbook-dsssl.
    + Patch 03_documentation to build the html files.
  * New doc-base files.
  * Added libmdbodbc postinst/prerm for automatic registration by
    odbcinst.
  * override_dh_autoreconf to preserve upstream INSTALL file: don't use -f.
  * Switch to multi-arch:
    + Patch to install libmdbodbc into /usr/lib/odbc/.
    + Actually moved it into /usr/lib/$arch/odbc/.
    + Don't call ldconfig in postinst/prerm for that library.
    + libmdbodbc1.postinst: Remove driver path.
    + Switch to compat 9.
    + Build-Depends on debhelper (>= 8.1.3~)
    + libmdbodbc1 breaks unixodbc (<< 2.2.14p2-3), odbcinst1debian2
      (<< 2.2.14p2-3), libiodbc2. See unixodbc NEWS.
    + Updated install files.
    + 2 lintian overrides.
  * Updated watch file.
  * Migrated copyright file to dep5 format.
  * Changed Homepage field in control.

 -- Jean-Michel Vourgère <email address hidden> Mon, 02 Jan 2012 01:10:30 +0100

Julian Taylor (jtaylor) wrote :

the version in debian is only a release candidate, will a full release come out in time for precise?
if not is it stable enough to be placed in a long term support version?

Changed in mdbtools (Ubuntu):
status: New → Incomplete
Bryce Harrington (bryce) wrote :

Given that the current version 0.5.99.0.6pre1.0.20051109-7.1 is also a pre-release, moving to some other (newer) pre-release version in itself doesn't seem that worrisome. This is in both testing and unstable for some weeks in debian.

Bryce Harrington (bryce) wrote :

This bug was fixed in the package mdbtools - 0.7~rc1-3
Sponsored for Jean-Michel Vourgere (jmv-deb)

---------------
mdbtools (0.7~rc1-3) unstable; urgency=low

  * Fix lintian unversioned-copyright-format-uri.
  * Updated 05-nolibexit patch forwarded address.
  * Moved documentation in its own package. It can't be in a "Multi-Arch:
    same" package. (Closes: #655174)
  * New debug symbols package mdbtools-dbg.

 -- Jean-Michel Vourgère <email address hidden> Tue, 10 Jan 2012 23:11:30 +0100

mdbtools (0.7~rc1-2) unstable; urgency=low

  * New maintainer. (Closes: #635954)
  * New upstream release:
    + Used printf %f for small floats export. Thanks Vincent Fourmond. (Closes:
      #220403)
    + Fixed internal ordering of columns. (Closes: #233281)
    + Fixed Oracle export types. (Closes: #358670)
    + Fixed mdb-prop SEGV. (Closes: #412432)
    + Properly quote column names in mdb-export. Removed -S sanitisation
      option. (Closes: #470405, #470413)
    + Fixed NULL export in mdb-export, no longer exported as "". (Closes:
      #470414)
    + New option in mdb-schema to DROP existing tables. (Closes: #514843)
    + ODBC: Returns SQL_NO_DATA at end of data. (Closes: #514986)
    + Export Memo type into postgres Text type.(Closes: #565258)
    + Fixed timestamp exports. (Closes: #602774)
  * Removed old debian patches. They all were applied upstream.
  * Bump Standards-Version to 3.9.2: No change needed.
  * Added build-dependency on libglib2.0-dev, dh-autoreconf, rarian-compat,
    openjade, docbook-dsssl. Change automake1.10 into automake >= 1:1.10.
  * Fixed mdbtools-gmdb description for lintian spelling check.
  * Changed desktop file:
    + Added msaccess mime-types.
    + Removed icon extension.
    + Removed obsolete category Application.
  * Linker option -as-needed now upstream too.
  * Added version to packages names because of ABI change. Split
    libmdbtools into libmdb2 and libmdbsql2.
  * Included doc/faq.html in debian package.
  * Build doc/install.sgml files:
    + New build denpendencies on openjade and docbook-dsssl.
    + Patch 03_documentation to build the html files.
  * New doc-base files.
  * Added libmdbodbc postinst/prerm for automatic registration by
    odbcinst.
  * override_dh_autoreconf to preserve upstream INSTALL file: don't use -f.
  * Switch to multi-arch:
    + Patch to install libmdbodbc into /usr/lib/odbc/.
    + Actually moved it into /usr/lib/$arch/odbc/.
    + Don't call ldconfig in postinst/prerm for that library.
    + libmdbodbc1.postinst: Remove driver path.
    + Switch to compat 9.
    + Build-Depends on debhelper (>= 8.1.3~)
    + libmdbodbc1 breaks unixodbc (<< 2.2.14p2-3), odbcinst1debian2
      (<< 2.2.14p2-3), libiodbc2. See unixodbc NEWS.
    + Updated install files.
    + 2 lintian overrides.
  * Updated watch file.
  * Migrated copyright file to dep5 format.
  * Changed Homepage field in control.

 -- Jean-Michel Vourgère <email address hidden> Mon, 02 Jan 2012 01:10:30 +0100

Changed in mdbtools (Ubuntu):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers